package com.ejie.t17i.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.t17i.dao.ProvinciaDao;
import com.ejie.t17i.filters.ProvinciaFilter;
import com.ejie.t17i.model.Provincia;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * <p>
 * Implementaci&oacute;n de servicios de l&oacute:gica de negocio para acceder a la tabla PROVINCIA de NORA
 * </p> 
XXXX
 * @see com.ejie.t17i.model.Provincia
 */
@Service(value = "provinciaService")
public class ProvinciaServiceImpl implements ProvinciaService {

	@Autowired
	private ProvinciaDao provinciaDao;

	/**
	 * {@inheritDoc}
	 */
	public Provincia find(final Provincia provincia) {
		return (Provincia) this.provinciaDao.find(provincia);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Provincia> findAll(final ProvinciaFilter provincia,final JQGridRequestDto jqGridRequestDto) {
		return (List<Provincia>) this.provinciaDao.findAll(provincia,
				jqGridRequestDto);
	}

	/**
	 * {@inheritDoc}
	 */
	public Long findAllCount(final ProvinciaFilter provincia) {
		return this.provinciaDao.findAllCount(provincia);
	}

	/**
	 * {@inheritDoc}
	 */
	public List<Provincia> findAllLike(final ProvinciaFilter provincia,final JQGridRequestDto jqGridRequestDto,final Boolean startsWith) {
		return (List<Provincia>) this.provinciaDao.findAllLike(provincia,
				jqGridRequestDto, startsWith);
	}
}
